CGAL 5.6.3 - dD Spatial Searching

Loading...
Searching...
No Matches
List of all members
CGAL::Kd_tree_internal_node< TreeTraits, Splitter, UseExtendedNode > Class Template Reference
dD Spatial Searching Reference » Advanced Classes

`#include <CGAL/Kd_tree_node.h>`

## Inherits from

CGAL::Kd_tree_node< TreeTraits, Splitter, UseExtendedNode >.

## Types
typedef Traits::FT | FT
| Number type.
typedef Kd_tree< Traits, Splitter, UseExtendedNode >::Node_handle | Node_handle
| Node handle.
typedef Kd_tree< Traits, Splitter, UseExtendedNode >::Node_const_handle | Node_const_handle
| const node handle.
typedef Splitter::Separator | Separator
| Separator type.

## Operations
Node_handle | lower ()
| Returns a handle to the lower child of an internal node.
Node_handle | upper ()
| Returns a handle to the upper child of an internal node.
Node_const_handle | lower () const
| Returns a const handle to the lower child of an internal node.
Node_const_handle | upper () const
| Returns a const handle to the upper child of an internal node.
Separator & | separator ()
| Returns a reference to the separator.
int | cutting_dimension () const
| Returns the cutting dimension.
int | cutting_value () const
| Returns the cutting value.
FT | low_value () const
| Returns the upper limit of an extended node's lower child's tight rectangle along the node's cutting dimension.
FT | high_value () const
| Returns the lower limit of an extended node's upper child's tight rectangle along the node's cutting dimension.

## Additional Inherited Members
Public Types inherited from CGAL::Kd_tree_node< TreeTraits, Splitter, UseExtendedNode >
typedef Traits::Point_d | Point_d
| Point class.
Public Member Functions inherited from CGAL::Kd_tree_node< TreeTraits, Splitter, UseExtendedNode >
OutputIterator | search (OutputIterator it, FuzzyQueryItem q) const
| Reports the points from the subtree of the node, that are approximately contained by `q`.
boost::optional< Point_d > | search_any_point (OutputIterator it, FuzzyQueryItem q) const
| Reports any point from the subtree of the node, that is approximately contained by `q`.
OutputIterator | tree_items (OutputIterator it) const
| Reports all the points contained by the subtree of the node.
bool | is_leaf () const
| Indicates whether a node is a leaf node.